import request from "@/api/request.js";

// 中美博弈概览V2:最新风险动态统计
export function getLatestRiskUpdates(params) {
	return request({
		method: "GET",
		url: `/api/rivalryIndexV2/LatestRiskUpdates`,
		params: params
	});
}

// 中美博弈概览V2:最新风险信号
export function getLatestRisks() {
	return request({
		method: "GET",
		url: `/api/rivalryIndexV2/LatestRisks`
	});
}

// 中美博弈概览V2:美对华制裁措施数量趋势
export function geDomainContainmentTrend(params) {
	return request({
		method: "GET",
		url: `/api/rivalryIndexV2/DomainContainmentTrend`,
		params: params
	});
}

// 中美博弈概况:获取榜单字典
export function getChartDict() {
	return request({
		method: "GET",
		url: `/api/union/summary/chartDict`
	});
}
// 中美博弈概况:获取年份
export function getYear(id) {
	return request({
		method: "GET",
		url: `/api/union/summary/chartYear/${id}`
	});
}

// 中美博弈概况:中美科技实力对比
export function getCompare(id, year) {
	return request({
		method: "GET",
		url: `/api/union/summary/compare/${id}/${year}`
	});
}

// 中美博弈分析
export function getTechnologyGameAnalysis() {
	return request({
		method: "GET",
		url: `/api/rivalryIndexV2/TechnologyGameAnalysis`
	});
}

//中美博弈概览V7:美国政府部门对华制裁最新动态
export function getGovernmentSanctionsDynamics() {
	return request({
		method: "GET",
		url: `/api/rivalryIndex/governmentSanctionsDynamics`
	});
}
